# Class OutputTableParameter

java.lang.Object
uk.ac.starlink.task.Parameter<TableConsumer>
uk.ac.starlink.ttools.task.OutputTableParameter

All Implemented Interfaces:
  `TableConsumerParameter`

public class OutputTableParameter extends uk.ac.starlink.task.Parameter<TableConsumer> implements TableConsumerParameter
Parameter to hold an output table.

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`OutputTableParameter(String name)`

## Method Summary

Modifier and Type
Method
Description
`TableConsumer`
`consumerValue(uk.ac.starlink.task.Environment env)`
Returns a TableConsumer which corresponds to the value of this parameter.
`OutputFormatParameter`
`getFormatParameter()`
`void`
`setValueFromConsumer(uk.ac.starlink.task.Environment env, TableConsumer consumer)`
Sets the value of this parameter directly from a TableConsumer.
`TableConsumer`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OutputTableParameter

public OutputTableParameter(String name)

## Method Details

### getFormatParameter

public OutputFormatParameter getFormatParameter()

### stringToObject

public TableConsumer stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<TableConsumer>`
Throws:
  `uk.ac.starlink.task.TaskException`

### consumerValue

public TableConsumer consumerValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableConsumerParameter`
Returns a TableConsumer which corresponds to the value of this parameter.

Specified by:
  `consumerValue` in interface `TableConsumerParameter`
Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### setValueFromConsumer

public void setValueFromConsumer(uk.ac.starlink.task.Environment env, TableConsumer consumer) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableConsumerParameter`
Sets the value of this parameter directly from a TableConsumer.

Specified by:
  `setValueFromConsumer` in interface `TableConsumerParameter`
Parameters:
  `env` - execution environment
  `consumer` - consumer
Throws:
  `uk.ac.starlink.task.TaskException`